﻿//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace DAweb.Models
{
    using System;
    using System.Data.Entity;
    using System.Data.Entity.Infrastructure;
    
    public partial class dbWebBanHangEntities : DbContext
    {
        public dbWebBanHangEntities()
            : base("name=dbWebBanHangEntities")
        {
        }
    
        protected override void OnModelCreating(DbModelBuilder modelBuilder)
        {
            throw new UnintentionalCodeFirstException();
        }
    
        public virtual DbSet<DanhMuc> DanhMucs { get; set; }
        public virtual DbSet<GioiThieu> GioiThieux { get; set; }
        public virtual DbSet<POST> POSTs { get; set; }
        public virtual DbSet<SildeShow> SildeShows { get; set; }
        public virtual DbSet<SiZe> SiZes { get; set; }
        public virtual DbSet<sysdiagram> sysdiagrams { get; set; }
        public virtual DbSet<tblCTHoaDon> tblCTHoaDons { get; set; }
        public virtual DbSet<tblGioHang> tblGioHangs { get; set; }
        public virtual DbSet<tblHoaDon> tblHoaDons { get; set; }
        public virtual DbSet<tblLoaiSanPham> tblLoaiSanPhams { get; set; }
        public virtual DbSet<tblSanPham> tblSanPhams { get; set; }
        public virtual DbSet<tblTaiKhoan> tblTaiKhoans { get; set; }
    }
}
